Index: i/trunk/client-gli4gs3.bat
===================================================================
--- /gli/trunk/client-gli4gs3.bat	(revision 16541)
+++ 	(revision )
@@ -1,167 +1,0 @@
-@echo off
-set GLILANG=en
-
-
-::  -------- Run the Greenstone Librarian Interface --------
-
-:: This script must be run from within the directory in which it lives
-if exist client-gli4gs3.bat goto start
-    if "%GLILANG%" == "en" echo This script must be run from the directory in which it resides.
-    if "%GLILANG%" == "es" echo Este gui¢n deber  ejecutarse desde el directorio en el que reside.
-    if "%GLILANG%" == "fr" echo Ce script doit tre excut 
- partir du rpertoire dans lequel il se trouve.
-    if "%GLILANG%" == "ru" echo â®â áªàš¯â €®«Š¥­ ¡ëâì ¢§ïâ š§ €šà¥ªâ®àšš, ¢ ª®â®à®© ®­ à á¯®«®Š¥­
-    goto exit
-
-:start
-if "%OS%" == "Windows_NT" goto findGSDL
-    :: Invoke a new command processor to ensure there's enough environment space
-    if "%1" == "Second" goto findGSDL
-        command /E:2048 /C %0 Second %1 %2 %3 %4 %5 %6 %7 %8 %9
-        goto done
-
-:findGSDL
-echo.
-if "%GLILANG%" == "en" echo Greenstone Librarian Interface (GLI)
-if "%GLILANG%" == "en" echo Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato
-if "%GLILANG%" == "en" echo GLI comes with ABSOLUTELY NO WARRANTY; for details see LICENSE.txt
-if "%GLILANG%" == "en" echo This is free software, and you are welcome to redistribute it
-
-if "%GLILANG%" == "es" echo Interfaz de la Biblioteca Digital Greenstone (Greenstone Librarian Interface - GLI)
-if "%GLILANG%" == "es" echo Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato
-if "%GLILANG%" == "es" echo La Interfaz de la Biblioteca Digital Greenstone NO INCLUYE ABSOLUTAMENTE NINGUNA GARANTÖA.
-if "%GLILANG%" == "es" echo Para mayor informaci¢n vea los trminos de la licencia en LICENSE.txt
-if "%GLILANG%" == "es" echo Este es un software abierto, por lo que lo invitamos a que lo distribuya de forma gratuita
-
-if "%GLILANG%" == "fr" echo Interface du Bibliothcaire Greenstone (Greenstone Librarian Interface - GLI)
-if "%GLILANG%" == "fr" echo Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato
-if "%GLILANG%" == "fr" echo GLI est fourni sans AUCUNE GARANTIE; pour des dtails, voir LICENSE.txt
-if "%GLILANG%" == "fr" echo Ceci est un logiciel libre, et vous tes invit 
- le redistribuer
-
-if "%GLILANG%" == "ru" echo š¡«š®â¥ç­ë© š­â¥àä¥©á Greenstone (Greenstone Librarian Interface - GLI)
-if "%GLILANG%" == "ru" echo Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato
-if "%GLILANG%" == "ru" echo  ­¥ € ¥â   ; €¥â «š á¬. ¢ â¥ªáâ¥ LICENSE.TXT
-if "%GLILANG%" == "ru" echo â® - á¢®¡®€­® à á¯à®áâà ­ï¥¬®¥ ¯à®£à ¬¬­®¥ ®¡¥á¯¥ç¥­š¥ š ë ¬®Š¥â¥ à á¯à®áâà ­ïâì ¥£®
-
-
-:findJava
-:: ---- Check Java exists ----
-set JAVAPATH=
-
-:: Some users may set the above line manually
-if not "%JAVAPATH%" == "" goto testJava
-
-    :: If it is set, use the JAVA_HOME environment variable
-    if not "%JAVA_HOME%" == "" goto javahome
-
-    :: Check if Java is on the search path
-    echo %PATH%| winutil\which.exe java.exe | winutil\setvar.exe JAVAPATH > setjava.bat
-    call setjava.bat
-    del setjava.bat
-    if not "%JAVAPATH%" == "" goto testJava
-
-    :: Still haven't found anything, so try looking in the registry (gulp!)
-    type nul > jdk.reg
-    regedit /E jdk.reg "HKEY_LOCAL_MACHINE\SOFTWARE\JavaSoft\Java Development Kit"
-    type jdk.reg > jdk.txt
-    del jdk.reg
-    type nul > jre.reg
-    regedit /E jre.reg "HKEY_LOCAL_MACHINE\SOFTWARE\JavaSoft\Java Runtime Environment"
-    type jre.reg > jre.txt
-    del jre.reg
-
-    winutil\findjava.exe jdk.txt jre.txt | winutil\setvar.exe JAVAPATH > setjava.bat
-    del jdk.txt
-    del jre.txt
-    call setjava.bat
-    del setjava.bat
-
-    :: If nothing was found in the registry, we're stuck
-    if "%JAVAPATH%" == "" goto noJava
-
-    set JAVAPATH=%JAVAPATH%\bin
-    goto testJava
-
-:javahome
-    set JAVAPATH=%JAVA_HOME%\bin
-
-:testJava
-:: Check that a Java executable has been found
-if "%GLILANG%" == "en" echo Checking Java: %JAVAPATH%
-if "%GLILANG%" == "es" echo Revisando Java: %JAVAPATH%
-if "%GLILANG%" == "fr" echo Vrification de Java: %JAVAPATH%
-if "%GLILANG%" == "ru" echo à®¢¥àª  Java: %JAVAPATH%
-if exist "%JAVAPATH%\java.exe" goto checkGLI
-
-:noJava
-    echo.
-    if "%GLILANG%" == "en" echo Failed to locate an appropriate version of Java. You must install a
-    if "%GLILANG%" == "en" echo Java Runtime Environment (version 1.4 or greater) before running the
-    if "%GLILANG%" == "en" echo Greenstone Librarian Interface.
-
-    if "%GLILANG%" == "es" echo No se pudo localizar una versi¢n apropiada de Java. Usted deber 
-    if "%GLILANG%" == "es" echo instalar un Ambiente de Ejecuci¢n Java (versi¢n 1.4 o superior)
-    if "%GLILANG%" == "es" echo antes de correr la Interfaz de la Biblioteca Digital Greenstone.
-
-    if "%GLILANG%" == "fr" echo Une version adquate de Java n'a pas pu tre localise. Vous devez
-    if "%GLILANG%" == "fr" echo installer un Java Runtime Environment (version 1.4 ou suprieur)
-    if "%GLILANG%" == "fr" echo avant de dmarrer Greenstone Librarian Interface.
-
-    if "%GLILANG%" == "ru" echo ¥ ã€ «®áì ®¯à¥€¥«šâì ¬¥áâ®­ å®Š€¥­š¥ á®®â¢¥âáâ¢ãîé¥© ¢¥àášš Java.
-    if "%GLILANG%" == "ru" echo ë €®«Š­ë ãáâ ­®¢šâì Java Runtime Environment (¢¥àášî 1.4 š«š ¢ëè¥) ¯¥à¥€ ¢¢®€®¬
-    if "%GLILANG%" == "ru" echo ¡š¡«š®â¥ç­®£® š­â¥àä¥©á  Greenstone.
-    goto exit
-
-
-:checkGLI
-:: ---- Check that the GLI has been compiled ----
-if exist "classes/org/greenstone/gatherer/Gatherer.class" goto runGLI
-if exist "GLI.jar" goto runGLI
-    echo.
-    if "%GLILANG%" == "en" echo You need to compile the Greenstone Librarian Interface (using makegli.bat)
-    if "%GLILANG%" == "en" echo before running this script.
-
-    if "%GLILANG%" == "es" echo Usted necesita compilar la Interfaz de la Biblioteca Digital Greenstone
-    if "%GLILANG%" == "es" echo (por medio de makegli.bat) antes de ejecutar este gui¢n.
-
-    if "%GLILANG%" == "fr" echo Vous devez compiler le Greenstone Interface (en utilisant makegil.bat)
-    if "%GLILANG%" == "fr" echo avant d'excuter ce script.
-
-    if "%GLILANG%" == "ru" echo ë €®«Š­ë ª®¬¯š«šà®¢ âì ¡š¡«š®â¥ç­ë© š­â¥àä¥©á Greenstone (šá¯®«ì§ãï makegli.bat)
-    if "%GLILANG%" == "ru" echo ¯¥à¥€ ¢¢®€®¬ íâ®£® áªàš¯â 
-    goto exit
-
-
-:runGLI
-:: ---- Finally, run the GLI ----
-echo.
-
-
-if "%GLILANG%" == "en" echo Running the Greenstone Librarian Interface...
-if "%GLILANG%" == "es" echo Ejecutando la Interfaz de la Biblioteca Digital Greenstone...
-if "%GLILANG%" == "fr" echo Excution de Greenstone Librarian Interface
-if "%GLILANG%" == "ru" echo ¥ªãéš© ¡š¡«š®â¥ç­ë© š­â¥àä¥©á Greenstone...
-
-:: -Xms32M          To set minimum memory
-:: -Xmx32M          To set maximum memory
-:: -verbose:gc      To set garbage collection messages
-:: -Xincgc          For incremental garbage collection
-:: -Xprof           Function call profiling
-:: -Xloggc:<file>   Write garbage collection log
-
-"%JAVAPATH%\java" -Xmx128M -cp classes/;GLI.jar;lib/apache.jar;lib/qfslib.jar org.greenstone.gatherer.GathererProg -use_remote_greenstone %1 %2 %3 %4 %5 %6 %7 %8 %9
-
-if "%GLILANG%" == "en" echo Done!
-if "%GLILANG%" == "es" echo ­Hecho!
-if "%GLILANG%" == "fr" echo Termin!
-if "%GLILANG%" == "ru" echo ë¯®«­¥­®!
-goto done
-
-:exit
-echo.
-pause
-
-:done
-:: ---- Clean up ----
-set JAVAPATH=