Index: /gsdl/trunk/Makefile.in
===================================================================
--- /gsdl/trunk/Makefile.in	(revision 16562)
+++ /gsdl/trunk/Makefile.in	(revision 16563)
@@ -47,10 +47,8 @@
 ALLFILES = $(OBJECTS)
 
-# indexers are treated slightly differently as we don't want to do make all/install
-INDEXERSDIR = indexers
-# all directories should be compiled
-COMPILEDIRS = packages src/lib src/gdbmedit/txt2db src/gdbmedit/db2txt src/gdbmedit/gdbmget src/gdbmedit/gdbmset src/hashfile src/getpw src/phind/generate src/colservr src/protocol src/z3950 src/recpt src/corba src/oaiservr
-# a subset of the directories get installed
-INSTALLDIRS = packages src/gdbmedit/db2txt src/gdbmedit/txt2db src/gdbmedit/gdbmget src/gdbmedit/gdbmset src/hashfile src/getpw src/phind/generate src/z3950 src/recpt src/corba src/oaiservr
+
+COMPILEDIRS = gs2common gs2build gs2runtime
+
+INSTALLDIRS = gs2common gs2build gs2runtime
 
 MODULEDIRS = @MODULEDIRS@
@@ -59,8 +57,4 @@
 # we don't want to compile the jni stuff in indexers for gs2
 all:
-	for odir in $(INDEXERSDIR); do \
-	  echo making $@ in $$odir; \
-	  (cd $$odir && $(MAKE) $(MDEFINES) gs2) || exit 1; \
-	done
 	for odir in $(COMPILEDIRS) $(MODULEDIRS); do \
 	  echo making $@ in $$odir; \
@@ -69,9 +63,4 @@
 
 install: all
-	for odir in $(INDEXERSDIR); do \
-	  echo making $@ in $$odir; \
-	  (cd $$odir && $(MAKE) $(MDEFINES) install-gs2) || exit 1; \
-	done
-	cp $(INDEXERSDIR)/lucene-gs/LuceneWrapper.jar bin/java/	
 	for idir in $(INSTALLDIRS); do \
 	  echo installing $$idir; \
@@ -81,5 +70,5 @@
 distclean: clean
 	rm -f Makefile config.cache config.h config.log stamp-h config.status
-	for subdir in $(COMPILEDIRS) $(INDEXERSDIR); do \
+	for subdir in $(COMPILEDIRS); do \
 	  echo cleaning $@ in $$subdir; \
 	  (cd $$subdir && $(MAKE) distclean) || exit 1; \
@@ -87,5 +76,5 @@
 
 clean:
-	for subdir in $(COMPILEDIRS) $(INDEXERSDIR); do \
+	for subdir in $(COMPILEDIRS); do \
 	  echo cleaning $@ in $$subdir; \
 	  (cd $$subdir && $(MAKE) clean) || exit 1; \
Index: /gsdl/trunk/configure
===================================================================
--- /gsdl/trunk/configure	(revision 16562)
+++ /gsdl/trunk/configure	(revision 16563)
@@ -272,5 +272,4 @@
 PACKAGE_BUGREPORT=
 
-ac_unique_file="src/lib/text_t.h"
 # Factoring default headers for most tests.
 ac_includes_default="\
@@ -310,5 +309,5 @@
 #endif"
 
-ac_subdirs_all="$ac_subdirs_all packages indexers"
+ac_subdirs_all="$ac_subdirs_all gs2common gs2build gs2runtime"
 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PACKAGE VERSION USE_FASTCGI USE_LANGACTION USE_CORBA MICO_DIR USE_Z3950 USE_YAZ ENABLE_ACCENTFOLD USE_SQLITE LDFLAGS CFLAGS CC CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX AWK YACC build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB COMPAT32BITFLAGS MICO_VER CPP EGREP U ANSI2KNR ALLOCA LIBOBJS STATIC GDBM_LIBPATH GDBM_INCLUDE gsdlos MODULEDIRS subdirs LTLIBOBJS'
 ac_subst_files=''
@@ -7448,24 +7447,13 @@
 
 
-subdirs="$subdirs packages indexers"
+subdirs="$subdirs gs2common gs2build gs2runtime"
 
 
 # the list of folders in the src folder
-srclist="src/lib/Makefile \
-	 src/hashfile/Makefile \
-         src/colservr/Makefile \
-         src/corba/Makefile \
-         src/protocol/Makefile \
-         src/recpt/Makefile \
-         src/gdbmedit/db2txt/Makefile \
-         src/gdbmedit/txt2db/Makefile \
-         src/gdbmedit/gdbmget/Makefile \
-         src/gdbmedit/gdbmset/Makefile \
-         src/oaiservr/Makefile \
-         src/z3950/Makefile \
-         src/getpw/Makefile \
-         src/phind/generate/Makefile"
-
-                                        ac_config_files="$ac_config_files packages/Makefile Makefile $srclist $moduleDirs"
+srclist="gs2common/Makefile \
+         gs2build/Makefile \
+         gs2runtime/Makefile"
+
+                              ac_config_files="$ac_config_files Makefile $srclist $moduleDirs"
 cat >confcache <<\_ACEOF
 # This file is a shell script that caches the results of configure
@@ -7993,5 +7981,4 @@
   case "$ac_config_target" in
   # Handling of arguments.
-  "packages/Makefile" ) CONFIG_FILES="$CONFIG_FILES packages/Makefile" ;;
   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
   "$srclist" ) CONFIG_FILES="$CONFIG_FILES $srclist" ;;
Index: /gsdl/trunk/configure.in
===================================================================
--- /gsdl/trunk/configure.in	(revision 16562)
+++ /gsdl/trunk/configure.in	(revision 16563)
@@ -2,9 +2,9 @@
 dnl Use autoconf-2.59 or later... it might not work anymore with
 dnl the older 2.1x versions - jrm21 12/2004
-AC_INIT(src/lib/text_t.h)
+AC_INIT()
 AC_CONFIG_HEADER(config.h)
 
 PACKAGE=gsdl
-VERSION=2.1
+VERSION=2.82-svn
 AC_DEFINE_UNQUOTED(PACKAGE, "$PACKAGE")
 AC_DEFINE_UNQUOTED(VERSION, "$VERSION")
Index: /gsdl/trunk/etc/error.txt
===================================================================
--- /gsdl/trunk/etc/error.txt	(revision 16562)
+++ /gsdl/trunk/etc/error.txt	(revision 16563)
@@ -0,0 +1,6 @@
+Warning: couldn't read build.cfg file for collection "demo"  gsdlhome="/research/code/greenstone2-split"
+  collecthome="/research/code/greenstone2-split/collect"
+dynamicclassifieraction::define_external_macros called with NULL collectproto
+Warning: couldn't read build.cfg file for collection "demo"  gsdlhome="/research/code/greenstone2-split"
+  collecthome="/research/code/greenstone2-split/collect"
+dynamicclassifieraction::define_external_macros called with NULL collectproto
Index: /gsdl/trunk/gs2build/packages/isis-gdl/configure
===================================================================
--- /gsdl/trunk/gs2build/packages/isis-gdl/configure	(revision 16562)
+++ /gsdl/trunk/gs2build/packages/isis-gdl/configure	(revision 16563)
@@ -272,5 +272,5 @@
 PACKAGE_BUGREPORT=
 
-ac_default_prefix=../..
+ac_default_prefix=../../..
 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LIBOBJS LTLIBOBJS'
 ac_subst_files=''
@@ -1247,5 +1247,5 @@
 
 ac_aux_dir=
-for ac_dir in ../.. $srcdir/../..; do
+for ac_dir in ../../.. $srcdir/../../..; do
   if test -f $ac_dir/install-sh; then
     ac_aux_dir=$ac_dir
@@ -1263,6 +1263,6 @@
 done
 if test -z "$ac_aux_dir"; then
-  { { echo "$as_me:$LINENO: error: cannot find install-sh or install.sh in ../.. $srcdir/../.." >&5
-echo "$as_me: error: cannot find install-sh or install.sh in ../.. $srcdir/../.." >&2;}
+  { { echo "$as_me:$LINENO: error: cannot find install-sh or install.sh in ../../.. $srcdir/../../.." >&5
+echo "$as_me: error: cannot find install-sh or install.sh in ../../.. $srcdir/../../.." >&2;}
    { (exit 1); exit 1; }; }
 fi
Index: /gsdl/trunk/gs2build/packages/isis-gdl/configure.in
===================================================================
--- /gsdl/trunk/gs2build/packages/isis-gdl/configure.in	(revision 16562)
+++ /gsdl/trunk/gs2build/packages/isis-gdl/configure.in	(revision 16563)
@@ -4,8 +4,8 @@
 dnl  default installation
 dnl will be overridden by command-line args from packages/configure
-AC_PREFIX_DEFAULT(../..)
+AC_PREFIX_DEFAULT(../../..)
 
 dnl this uses the config.guess, config.sub and install-sh from gsdl.
-AC_CONFIG_AUX_DIR(../..)
+AC_CONFIG_AUX_DIR(../../..)
 
 dnl compiler - need c++
Index: /gsdl/trunk/gs2build/packages/xlhtml/README.txt
===================================================================
--- /gsdl/trunk/gs2build/packages/xlhtml/README.txt	(revision 16563)
+++ /gsdl/trunk/gs2build/packages/xlhtml/README.txt	(revision 16563)
@@ -0,0 +1,19 @@
+This package contains two programs:
+* ppthtml, which converts Microsoft PowerPoint 95 and 97 files
+into html or xml, and
+* xlhtml, which converts Microsoft Excel 95 and 97 files.
+
+It has been slightly modified for greenstone use as we only want the
+ppt to html program and the xls to html program, and none of the other
+programs (summary/diagnostics, man pages, etc).
+
+This version (0.4.9.0) was the latest development snapshot at the
+time of writing.
+
+See http://www.xlhtml.org/ for newer versions or more info.
+
+xlhtml is released under the GNU GPL.
+
+20 Feb 2002
+John McPherson
+NZDL.
Index: /gsdl/trunk/gs2runtime/src/colservr/Makefile.in
===================================================================
--- /gsdl/trunk/gs2runtime/src/colservr/Makefile.in	(revision 16562)
+++ /gsdl/trunk/gs2runtime/src/colservr/Makefile.in	(revision 16563)
@@ -25,7 +25,9 @@
 ###########################################################################
 
-GSDL_DIR = ../..
-INDEXERS_DIR = $(GSDL_DIR)/indexers
-PACKAGES_DIR = $(GSDL_DIR)/packages
+GSDL_DIR = ../../..
+COMMON_DIR = $(GSDL_DIR)/gs2common
+
+INDEXERS_DIR = $(COMMON_DIR)/indexers
+PACKAGES_DIR = $(GSDL_DIR)/gs2runtime/packages
 
 
@@ -47,5 +49,5 @@
 DEFS = @DEFS@ -DNZDL -DQUIET -DSHORT_SUFFIX -DPARADOCNUM -DGSDLSERVER $(SQLITE_DEFINES)
 # Do NOT add the "recpt" directory here: the colserver should be independent of the receptionist!
-INCLUDES = @GDBM_INCLUDE@ -I. -I$(GSDL_DIR) -I$(GSDL_DIR)/src/lib \
+INCLUDES = @GDBM_INCLUDE@ -I. -I$(GSDL_DIR) -I$(COMMON_DIR)/src/lib \
 	-I$(INDEXERS_DIR)/mg -I$(INDEXERS_DIR)/mg/lib -I$(INDEXERS_DIR)/mg/src/text \
 	-I$(INDEXERS_DIR)/mgpp/lib -I$(INDEXERS_DIR)/mgpp/text \
Index: /gsdl/trunk/gs2runtime/src/oaiservr/Makefile.in
===================================================================
--- /gsdl/trunk/gs2runtime/src/oaiservr/Makefile.in	(revision 16562)
+++ /gsdl/trunk/gs2runtime/src/oaiservr/Makefile.in	(revision 16563)
@@ -25,10 +25,13 @@
 ###########################################################################
 
-GSDL_DIR = ../..
-INDEXERS_DIR = $(GSDL_DIR)/indexers
-PACKAGES_DIR = $(GSDL_DIR)/packages
-COLSERVR_DIR = $(GSDL_DIR)/src/colservr
-PROTOCOL_DIR = $(GSDL_DIR)/src/protocol
-RECPT_DIR = $(GSDL_DIR)/src/recpt
+GSDL_DIR = ../../..
+COMMON_DIR = $(GSDL_DIR)/gs2common
+RUNTIME_DIR = $(GSDL_DIR)/gs2runtime
+
+INDEXERS_DIR = $(COMMON_DIR)/indexers
+PACKAGES_DIR = $(RUNTIME_DIR)/packages
+COLSERVR_DIR = $(RUNTIME_DIR)/src/colservr
+PROTOCOL_DIR = $(RUNTIME_DIR)/src/protocol
+RECPT_DIR = $(RUNTIME_DIR)/src/recpt
 
 
@@ -42,5 +45,5 @@
 USE_SQLITE = @USE_SQLITE@
 ifeq ($(USE_SQLITE), 1)
-SQLITE_LIBS = $(PACKAGES_DIR)/sqlite/lib/libsqlite3.a -ldl -lpthread
+SQLITE_LIBS = $(COMMON_DIR)/packages/sqlite/lib/libsqlite3.a -ldl -lpthread
 else
 SQLITE_LIBS = 
@@ -52,5 +55,5 @@
 CXX = @CXX@
 CXXFLAGS = @CXXFLAGS@ @COMPAT32BITFLAGS@
-INCLUDES = -I$(GSDL_DIR)/src/lib -I$(COLSERVR_DIR) -I$(PROTOCOL_DIR) -I$(RECPT_DIR) -I$(INDEXERS_DIR)/mgpp/text
+INCLUDES = -I$(COMMON_DIR)/src/lib -I$(COLSERVR_DIR) -I$(PROTOCOL_DIR) -I$(RECPT_DIR) -I$(INDEXERS_DIR)/mgpp/text
 LDFLAGS = @LDFLAGS@ @COMPAT32BITFLAGS@
 LIBS = @LIBS@ @GDBM_LIBPATH@ -lgdbm -L$(PACKAGES_DIR)/expat/lib -lexpat $(ACCENTFOLD_LIBS) $(SQLITE_LIBS)
@@ -118,5 +121,5 @@
 	$(INDEXERS_DIR)/mgpp/text/libmgpptext.a \
 	$(INDEXERS_DIR)/mgpp/lib/libmgpplib.a \
-	$(GSDL_DIR)/src/lib/gsdllib.a
+	$(COMMON_DIR)/src/lib/gsdllib.a
 
 EXECUTABLE_OBJECTS = \
Index: /gsdl/trunk/gs2runtime/src/protocol/Makefile.in
===================================================================
--- /gsdl/trunk/gs2runtime/src/protocol/Makefile.in	(revision 16562)
+++ /gsdl/trunk/gs2runtime/src/protocol/Makefile.in	(revision 16563)
@@ -25,8 +25,10 @@
 ###########################################################################
 
-GSDL_DIR = ../..
-INDEXERS_DIR = $(GSDL_DIR)/indexers
-PACKAGES_DIR = $(GSDL_DIR)/packages
-COLSERVR_DIR = $(GSDL_DIR)/src/colservr
+GSDL_DIR = ../../..
+COMMON_DIR = $(GSDL_DIR)/gs2common
+
+INDEXERS_DIR = $(COMMON_DIR)/indexers
+PACKAGES_DIR = $(GSDL_DIR)/gs2runtime/packages
+COLSERVR_DIR = $(GSDL_DIR)/gs2runtime/src/colservr
 
 
@@ -36,5 +38,5 @@
 DEFS = @DEFS@ -DNZDL -DQUIET -DSHORT_SUFFIX -DPARADOCNUM -DGSDLSERVER
 # Do NOT add the "recpt" directory here: the protocol should be independent of the receptionist!
-INCLUDES = @GDBM_INCLUDE@ -I. -I$(GSDL_DIR) -I$(GSDL_DIR)/src/lib -I$(COLSERVR_DIR) -I$(INDEXERS_DIR)/mgpp/text
+INCLUDES = @GDBM_INCLUDE@ -I. -I$(GSDL_DIR) -I$(COMMON_DIR)/src/lib -I$(COLSERVR_DIR) -I$(INDEXERS_DIR)/mgpp/text
 RANLIB = @RANLIB@
 
Index: /gsdl/trunk/gs2runtime/src/recpt/Makefile.in
===================================================================
--- /gsdl/trunk/gs2runtime/src/recpt/Makefile.in	(revision 16562)
+++ /gsdl/trunk/gs2runtime/src/recpt/Makefile.in	(revision 16563)
@@ -25,10 +25,13 @@
 ###########################################################################
 
-GSDL_DIR = ../..
-INDEXERS_DIR = $(GSDL_DIR)/indexers
-PACKAGES_DIR = $(GSDL_DIR)/packages
-COLSERVR_DIR = $(GSDL_DIR)/src/colservr
-PROTOCOL_DIR = $(GSDL_DIR)/src/protocol
-Z3950_DIR = $(GSDL_DIR)/src/z3950
+GSDL_DIR = ../../..
+COMMON_DIR = $(GSDL_DIR)/gs2common
+RUNTIME_DIR = $(GSDL_DIR)/gs2runtime
+
+INDEXERS_DIR = $(COMMON_DIR)/indexers
+PACKAGES_DIR = $(RUNTIME_DIR)/packages
+COLSERVR_DIR = $(RUNTIME_DIR)/src/colservr
+PROTOCOL_DIR = $(RUNTIME_DIR)/src/protocol
+Z3950_DIR = $(RUNTIME_DIR)/src/z3950
 
 
@@ -53,5 +56,5 @@
 USE_SQLITE = @USE_SQLITE@
 ifeq ($(USE_SQLITE), 1)
-SQLITE_LIBS = $(PACKAGES_DIR)/sqlite/lib/libsqlite3.a -ldl -lpthread
+SQLITE_LIBS = $(COMMON_DIR)/packages/sqlite/lib/libsqlite3.a -ldl -lpthread
 else
 SQLITE_LIBS = 
@@ -76,5 +79,5 @@
 CXXFLAGS = @CXXFLAGS@ @COMPAT32BITFLAGS@
 DEFS = @DEFS@ -DNZDL -DQUIET -DSHORT_SUFFIX -DPARADOCNUM -DHAVE_CONFIG_H $(FASTCGI_DEFS) $(Z3950_DEFS)
-INCLUDES = @GDBM_INCLUDE@ -I. -I$(GSDL_DIR) -I$(GSDL_DIR)/src/lib \
+INCLUDES = @GDBM_INCLUDE@ -I. -I$(GSDL_DIR) -I$(COMMON_DIR)/src/lib \
         -I$(COLSERVR_DIR) -I$(PROTOCOL_DIR) \
 	-I$(INDEXERS_DIR)/mg -I$(INDEXERS_DIR)/mg/lib -I$(INDEXERS_DIR)/mgpp/text \
@@ -194,5 +197,5 @@
 	$(INDEXERS_DIR)/mgpp/text/libmgpptext.a \
 	$(INDEXERS_DIR)/mgpp/lib/libmgpplib.a \
-	$(GSDL_DIR)/src/lib/gsdllib.a
+	$(COMMON_DIR)/src/lib/gsdllib.a
 
 EXECUTABLE_OBJECTS = \