Index: /gsdl/trunk/Makefile.in
===================================================================
--- /gsdl/trunk/Makefile.in	(revision 16571)
+++ /gsdl/trunk/Makefile.in	(revision 16572)
@@ -48,7 +48,7 @@
 
 
-COMPILEDIRS = gs2common gs2build gs2runtime
+COMPILEDIRS = common-src build-src runtime-src
 
-INSTALLDIRS = gs2common gs2build gs2runtime
+INSTALLDIRS = common-src build-src runtime-src
 
 MODULEDIRS = @MODULEDIRS@
Index: /gsdl/trunk/common-src/configure
===================================================================
--- /gsdl/trunk/common-src/configure	(revision 16571)
+++ /gsdl/trunk/common-src/configure	(revision 16572)
@@ -6989,23 +6989,4 @@
 done
 IFS="$pl_save_ifs"
-
-if test $success = "yes"; then
-try=`perl configtest.pl` || try="0"
-try=`expr $try \> 5.000`
-if test $try = "1"; then
-echo "$as_me:$LINENO: result: \"yes\"" >&5
-echo "${ECHO_T}\"yes\"" >&6
-else
-success="no"
-fi
-fi
-
-if test $success = "no"; then
-echo "$as_me:$LINENO: result: \"no\"" >&5
-echo "${ECHO_T}\"no\"" >&6
-{ { echo "$as_me:$LINENO: error: \"Perl 5 not available - cannot install\"" >&5
-echo "$as_me: error: \"Perl 5 not available - cannot install\"" >&2;}
-   { (exit 1); exit 1; }; }
-fi
 
 success=no
Index: /gsdl/trunk/configure
===================================================================
--- /gsdl/trunk/configure	(revision 16571)
+++ /gsdl/trunk/configure	(revision 16572)
@@ -309,5 +309,5 @@
 #endif"
 
-ac_subdirs_all="$ac_subdirs_all gs2common gs2build gs2runtime"
+ac_subdirs_all="$ac_subdirs_all common-src build-src runtime-src"
 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PACKAGE VERSION USE_FASTCGI USE_LANGACTION USE_CORBA MICO_DIR USE_Z3950 USE_YAZ ENABLE_ACCENTFOLD USE_SQLITE LDFLAGS CFLAGS CC CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX AWK YACC build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB COMPAT32BITFLAGS MICO_VER CPP EGREP U ANSI2KNR ALLOCA LIBOBJS STATIC GDBM_LIBPATH GDBM_INCLUDE gsdlos MODULEDIRS subdirs LTLIBOBJS'
 ac_subst_files=''
@@ -1322,5 +1322,5 @@
 
 PACKAGE=gsdl
-VERSION=2.1
+VERSION=2.82-svn
 cat >>confdefs.h <<_ACEOF
 #define PACKAGE "$PACKAGE"
@@ -7447,11 +7447,11 @@
 
 
-subdirs="$subdirs gs2common gs2build gs2runtime"
+subdirs="$subdirs common-src build-src runtime-src"
 
 
 # the list of folders in the src folder
-srclist="gs2common/Makefile \
-         gs2build/Makefile \
-         gs2runtime/Makefile"
+srclist="common-src/Makefile \
+         build-src/Makefile \
+         runtime-src/Makefile"
 
                               ac_config_files="$ac_config_files Makefile $srclist $moduleDirs"
Index: /gsdl/trunk/configure.in
===================================================================
--- /gsdl/trunk/configure.in	(revision 16571)
+++ /gsdl/trunk/configure.in	(revision 16572)
@@ -454,10 +454,10 @@
 gsdlprefix=`pwd`
 ac_configure_args="$ac_configure_args --bindir=$gsdlprefix/bin/$gsdlos "
-AC_CONFIG_SUBDIRS(gs2common gs2build gs2runtime)
+AC_CONFIG_SUBDIRS(common-src build-src runtime-src)
 
 # the list of folders in the src folder
-srclist="gs2common/Makefile \
-         gs2build/Makefile \
-         gs2runtime/Makefile"
+srclist="common-src/Makefile \
+         build-src/Makefile \
+         runtime-src/Makefile"
 
 AC_OUTPUT(Makefile $srclist $moduleDirs)
Index: /gsdl/trunk/runtime-src/configure
===================================================================
--- /gsdl/trunk/runtime-src/configure	(revision 16571)
+++ /gsdl/trunk/runtime-src/configure	(revision 16572)
@@ -6987,23 +6987,4 @@
 done
 IFS="$pl_save_ifs"
-
-if test $success = "yes"; then
-try=`perl configtest.pl` || try="0"
-try=`expr $try \> 5.000`
-if test $try = "1"; then
-echo "$as_me:$LINENO: result: \"yes\"" >&5
-echo "${ECHO_T}\"yes\"" >&6
-else
-success="no"
-fi
-fi
-
-if test $success = "no"; then
-echo "$as_me:$LINENO: result: \"no\"" >&5
-echo "${ECHO_T}\"no\"" >&6
-{ { echo "$as_me:$LINENO: error: \"Perl 5 not available - cannot install\"" >&5
-echo "$as_me: error: \"Perl 5 not available - cannot install\"" >&2;}
-   { (exit 1); exit 1; }; }
-fi
 
 success=no
Index: /gsdl/trunk/runtime-src/src/colservr/Makefile.in
===================================================================
--- /gsdl/trunk/runtime-src/src/colservr/Makefile.in	(revision 16571)
+++ /gsdl/trunk/runtime-src/src/colservr/Makefile.in	(revision 16572)
@@ -26,8 +26,8 @@
 
 GSDL_DIR = ../../..
-COMMON_DIR = $(GSDL_DIR)/gs2common
+COMMON_DIR = $(GSDL_DIR)/common-src
 
 INDEXERS_DIR = $(COMMON_DIR)/indexers
-PACKAGES_DIR = $(GSDL_DIR)/gs2runtime/packages
+PACKAGES_DIR = $(GSDL_DIR)/runtime-src/packages
 
 
Index: /gsdl/trunk/runtime-src/src/oaiservr/Makefile.in
===================================================================
--- /gsdl/trunk/runtime-src/src/oaiservr/Makefile.in	(revision 16571)
+++ /gsdl/trunk/runtime-src/src/oaiservr/Makefile.in	(revision 16572)
@@ -26,6 +26,6 @@
 
 GSDL_DIR = ../../..
-COMMON_DIR = $(GSDL_DIR)/gs2common
-RUNTIME_DIR = $(GSDL_DIR)/gs2runtime
+COMMON_DIR = $(GSDL_DIR)/common-src
+RUNTIME_DIR = $(GSDL_DIR)/runtime-src
 
 INDEXERS_DIR = $(COMMON_DIR)/indexers
Index: /gsdl/trunk/runtime-src/src/protocol/Makefile.in
===================================================================
--- /gsdl/trunk/runtime-src/src/protocol/Makefile.in	(revision 16571)
+++ /gsdl/trunk/runtime-src/src/protocol/Makefile.in	(revision 16572)
@@ -26,9 +26,9 @@
 
 GSDL_DIR = ../../..
-COMMON_DIR = $(GSDL_DIR)/gs2common
+COMMON_DIR = $(GSDL_DIR)/common-src
 
 INDEXERS_DIR = $(COMMON_DIR)/indexers
-PACKAGES_DIR = $(GSDL_DIR)/gs2runtime/packages
-COLSERVR_DIR = $(GSDL_DIR)/gs2runtime/src/colservr
+PACKAGES_DIR = $(GSDL_DIR)/runtime-src/packages
+COLSERVR_DIR = $(GSDL_DIR)/runtime-src/src/colservr
 
 
Index: /gsdl/trunk/runtime-src/src/recpt/Makefile.in
===================================================================
--- /gsdl/trunk/runtime-src/src/recpt/Makefile.in	(revision 16571)
+++ /gsdl/trunk/runtime-src/src/recpt/Makefile.in	(revision 16572)
@@ -26,6 +26,6 @@
 
 GSDL_DIR = ../../..
-COMMON_DIR = $(GSDL_DIR)/gs2common
-RUNTIME_DIR = $(GSDL_DIR)/gs2runtime
+COMMON_DIR = $(GSDL_DIR)/common-src
+RUNTIME_DIR = $(GSDL_DIR)/runtime-src
 
 INDEXERS_DIR = $(COMMON_DIR)/indexers