Index: /gsdl/trunk/build-src/packages/isis-gdl/win32.mak
===================================================================
--- /gsdl/trunk/build-src/packages/isis-gdl/win32.mak	(revision 16573)
+++ /gsdl/trunk/build-src/packages/isis-gdl/win32.mak	(revision 16574)
@@ -1,5 +1,5 @@
 # ISIS-GDL
 
-GSDLHOME = ..\..
+GSDLHOME = ..\..\..
 
 CC = cl
Index: /gsdl/trunk/build-src/src/hashfile/win32.mak
===================================================================
--- /gsdl/trunk/build-src/src/hashfile/win32.mak	(revision 16573)
+++ /gsdl/trunk/build-src/src/hashfile/win32.mak	(revision 16574)
@@ -25,5 +25,5 @@
 ###########################################################################
  
-GSDLHOME = ..\..
+GSDLHOME = ..\..\..
 GSDL_VC4 = 0
 
Index: /gsdl/trunk/build-src/src/phind/generate/win32.mak
===================================================================
--- /gsdl/trunk/build-src/src/phind/generate/win32.mak	(revision 16573)
+++ /gsdl/trunk/build-src/src/phind/generate/win32.mak	(revision 16574)
@@ -25,7 +25,7 @@
 ###########################################################################
 
-GSDLHOME = ..\..\..
+GSDLHOME = ..\..\..\..
 GSDL_VC4 = 0
-STLPATH = "$(GSDLHOME)\packages\windows\stlport\stlport"
+STLPATH = "$(GSDLHOME)\common-src\packages\windows\stlport\stlport"
 
 AR = lib
Index: /gsdl/trunk/common-src/src/gdbmedit/db2txt/win32.mak
===================================================================
--- /gsdl/trunk/common-src/src/gdbmedit/db2txt/win32.mak	(revision 16573)
+++ /gsdl/trunk/common-src/src/gdbmedit/db2txt/win32.mak	(revision 16574)
@@ -25,7 +25,9 @@
 ###########################################################################
 
-GSDLHOME = ..\..
+GSDLHOME = ..\..\..\..\..
+COMMONHOME = $(GSDLHOME)\common-src
+
 GSDL_VC4 = 0
-STLPATH = "$(GSDLHOME)\packages\windows\stlport\stlport"
+STLPATH = "$(COMMONHOME)\packages\windows\stlport\stlport"
 
 AR = lib
@@ -41,6 +43,6 @@
 
 DEFS = -D__WIN32__ -DHAVE_CONFIG_H -D_CRT_SECURE_NO_DEPRECATE
-INCLUDES = -I"$(GSDLHOME)\src\db2txt" -I"$(GSDLHOME)\src\lib" -I"$(GSDLHOME)\packages\mg\lib" \
-	   -I"$(GSDLHOME)\packages\windows\gdbm\gdbm"
+INCLUDES = -I"$(COMMONHOME)\src\db2txt" -I"$(COMMONHOME)\src\lib" -I"$(COMMONHOME)\indexers\mg\lib" \
+	   -I"$(COMMONHOME)\packages\windows\gdbm\gdbm"
 !IF $(GSDL_VC4)
 DEFS=$(DEFS) -DGSDL_NAMESPACE_BROKEN -DGSDL_USE_IOS_H -D__STL_NO_NEW_IOSTREAMS
@@ -48,6 +50,6 @@
 !ENDIF
 
-LIBS = "$(GSDLHOME)\indexers\mg\lib\unitool.obj" "$(GSDLHOME)\src\lib\gsdllib.lib" \
-       "$(GSDLHOME)\packages\windows\gdbm\gdbm\gdbm.lib"
+LIBS = "$(COMMONHOME)\indexers\mg\lib\unitool.obj" "$(COMMONHOME)\src\lib\gsdllib.lib" \
+       "$(COMMONHOME)\packages\windows\gdbm\gdbm\gdbm.lib"
 
 COMPILE = $(CC) -nologo -c $(CPPFLAGS) $(DEFS) $(INCLUDES)
Index: /gsdl/trunk/common-src/src/gdbmedit/gdbmget/win32.mak
===================================================================
--- /gsdl/trunk/common-src/src/gdbmedit/gdbmget/win32.mak	(revision 16573)
+++ /gsdl/trunk/common-src/src/gdbmedit/gdbmget/win32.mak	(revision 16574)
@@ -25,7 +25,9 @@
 ###########################################################################
 
-GSDLHOME = ..\..\..\..
+GSDLHOME = ..\..\..\..\..
+COMMONHOME = $(GSDLHOME)\common-src
+
 USE_STLPORT = 0
-STLPATH = "$(GSDLHOME)\packages\windows\stlport\stlport"
+STLPATH = "$(COMMONHOME)packages\windows\stlport\stlport"
 
 AR = lib
@@ -35,6 +37,5 @@
 
 DEFS = -D__WIN32__ -DHAVE_CONFIG_H
-INCLUDES = -I"$(GSDLHOME)\lib" \
-	   -I"$(GSDLHOME)\packages\windows\gdbm\gdbm"
+INCLUDES = -I"$(COMMONHOME)\packages\windows\gdbm\gdbm"
 !IF $(USE_STLPORT)
 DEFS=$(DEFS) -DGSDL_NAMESPACE_BROKEN -DGSDL_USE_IOS_H -D__STL_NO_NEW_IOSTREAMS
@@ -42,5 +43,5 @@
 !ENDIF
 
-LIBS = "$(GSDLHOME)\packages\windows\gdbm\gdbm\gdbm.lib"
+LIBS = "$(COMMONHOME)\packages\windows\gdbm\gdbm\gdbm.lib"
 
 COMPILE = $(CC) -c -GX $(DEFS) $(INCLUDES)
Index: /gsdl/trunk/common-src/src/gdbmedit/gdbmset/win32.mak
===================================================================
--- /gsdl/trunk/common-src/src/gdbmedit/gdbmset/win32.mak	(revision 16573)
+++ /gsdl/trunk/common-src/src/gdbmedit/gdbmset/win32.mak	(revision 16574)
@@ -25,7 +25,9 @@
 ###########################################################################
 
-GSDLHOME = ..\..\..\..
+GSDLHOME = ..\..\..\..\..
+COMMONHOME = $(GSDLHOME)\common-src
+
 USE_STLPORT = 0
-STLPATH = "$(GSDLHOME)\packages\windows\stlport\stlport"
+STLPATH = "$(COMMONHOME)\packages\windows\stlport\stlport"
 
 AR = lib
@@ -35,6 +37,5 @@
 
 DEFS = -D__WIN32__ -DHAVE_CONFIG_H
-INCLUDES = -I"$(GSDLHOME)\lib" \
-	   -I"$(GSDLHOME)\packages\windows\gdbm\gdbm"
+INCLUDES = -I"$(COMMONHOME)\packages\windows\gdbm\gdbm"
 !IF $(USE_STLPORT)
 DEFS=$(DEFS) -DGSDL_NAMESPACE_BROKEN -DGSDL_USE_IOS_H -D__STL_NO_NEW_IOSTREAMS
@@ -42,5 +43,5 @@
 !ENDIF
 
-LIBS = "$(GSDLHOME)\packages\windows\gdbm\gdbm\gdbm.lib"
+LIBS = "$(COMMONHOME)\packages\windows\gdbm\gdbm\gdbm.lib"
 
 COMPILE = $(CC) -c -GX $(DEFS) $(INCLUDES)
Index: /gsdl/trunk/common-src/src/gdbmedit/txt2db/win32.mak
===================================================================
--- /gsdl/trunk/common-src/src/gdbmedit/txt2db/win32.mak	(revision 16573)
+++ /gsdl/trunk/common-src/src/gdbmedit/txt2db/win32.mak	(revision 16574)
@@ -25,7 +25,9 @@
 ###########################################################################
 
-GSDLHOME = ..\..
+GSDLHOME = ..\..\..\..\..
+COMMONHOME = $(GSDLHOME)\common-src
+
 GSDL_VC4 = 0
-STLPATH = "$(GSDLHOME)\packages\windows\stlport\stlport"
+STLPATH = "$(COMMONHOME)\packages\windows\stlport\stlport"
 
 AR = lib
@@ -41,6 +43,6 @@
 
 DEFS = -D__WIN32__ -DHAVE_CONFIG_H -D_CRT_SECURE_NO_DEPRECATE
-INCLUDES = -I"$(GSDLHOME)\src\txt2db" -I"$(GSDLHOME)\src\lib" -I"$(GSDLHOME)\indexers\mg\lib" \
-	   -I"$(GSDLHOME)\packages\windows\gdbm\gdbm"
+INCLUDES = -I"$(COMMONHOME)\src\txt2db" -I"$(COMMONHOME)\src\lib" -I"$(COMMONHOME)\indexers\mg\lib" \
+	   -I"$(COMMONHOME)\packages\windows\gdbm\gdbm"
 !IF $(GSDL_VC4)
 DEFS=$(DEFS) -DGSDL_NAMESPACE_BROKEN -DGSDL_USE_IOS_H -D__STL_NO_NEW_IOSTREAMS
@@ -48,6 +50,6 @@
 !ENDIF
 
-LIBS = "$(GSDLHOME)\indexers\mg\lib\unitool.obj" "$(GSDLHOME)\src\lib\gsdllib.lib" \
-       "$(GSDLHOME)\packages\windows\gdbm\gdbm\gdbm.lib"
+LIBS = "$(COMMONHOME)\indexers\mg\lib\unitool.obj" "$(COMMONHOME)\src\lib\gsdllib.lib" \
+       "$(COMMONHOME)\packages\windows\gdbm\gdbm\gdbm.lib"
 
 COMPILE = $(CC) -nologo -c $(CPPFLAGS) $(DEFS) $(INCLUDES)
Index: /gsdl/trunk/runtime-src/packages/d2m/win32.mak
===================================================================
--- /gsdl/trunk/runtime-src/packages/d2m/win32.mak	(revision 16573)
+++ /gsdl/trunk/runtime-src/packages/d2m/win32.mak	(revision 16574)
@@ -5,5 +5,5 @@
 # Used by z3950server
 
-GSDLHOME = ..\..
+GSDLHOME = ..\..\..
 GSDL_VC4 = 0
 CC = cl
Index: /gsdl/trunk/runtime-src/src/colservr/win32.mak
===================================================================
--- /gsdl/trunk/runtime-src/src/colservr/win32.mak	(revision 16573)
+++ /gsdl/trunk/runtime-src/src/colservr/win32.mak	(revision 16574)
@@ -25,8 +25,10 @@
 ###########################################################################
 
-GSDL_DIR = ..\..
-INDEXERS_DIR = $(GSDL_DIR)\indexers
-PACKAGES_DIR = $(GSDL_DIR)\packages
+GSDL_DIR = ..\..\..
+COMMON_DIR = $(GSDL_DIR)\common-src
+RUNTIME_DIR = $(GSDL_DIR)\runtime-src
 
+INDEXERS_DIR = $(COMMON_DIR)\indexers
+PACKAGES_DIR = $(RUNTIME_DIR)\packages
 
 GSDL_VC4 = 0
@@ -64,5 +66,5 @@
         -DXML_STATIC $(SQLITE_DEFINES)
 # Do NOT add the "recpt" directory here: the colserver should be independent of the receptionist!
-INCLUDES = -I"$(GSDL_DIR)" -I"$(GSDL_DIR)\src\lib" \
+INCLUDES = -I"$(GSDL_DIR)" -I"$(COMMON_DIR)\src\lib" \
 	-I"$(INDEXERS_DIR)\mg" -I"$(INDEXERS_DIR)\mg\lib" -I"$(INDEXERS_DIR)\mg\src\text" \
 	-I"$(INDEXERS_DIR)\mgpp\lib" -I"$(INDEXERS_DIR)\mgpp\text" \
Index: /gsdl/trunk/runtime-src/src/oaiservr/win32.mak
===================================================================
--- /gsdl/trunk/runtime-src/src/oaiservr/win32.mak	(revision 16573)
+++ /gsdl/trunk/runtime-src/src/oaiservr/win32.mak	(revision 16574)
@@ -25,10 +25,13 @@
 ###########################################################################
 
-GSDL_DIR = ..\..
-INDEXERS_DIR = $(GSDL_DIR)\indexers
-PACKAGES_DIR = $(GSDL_DIR)\packages
-COLSERVR_DIR = $(GSDL_DIR)\src\colservr
-PROTOCOL_DIR = $(GSDL_DIR)\src\protocol
-RECPT_DIR = $(GSDL_DIR)\src\recpt
+GSDL_DIR = ..\..\..
+COMMON_DIR = $(GSDL_DIR)\common-src
+RUNTIME_DIR = $(GSDL_DIR)\runtime-src
+
+INDEXERS_DIR = $(COMMON_DIR)\indexers
+PACKAGES_DIR = $(RUNTIME_DIR)\packages
+COLSERVR_DIR = $(RUNTIME_DIR)\src\colservr
+PROTOCOL_DIR = $(RUNTIME_DIR)\src\protocol
+RECPT_DIR    = $(RUNTIME_DIR)\src\recpt
 
 
@@ -72,5 +75,5 @@
 DEFS = -D__WIN32__ -DHAVE_CONFIG_H -DPARADOCNUM -D_LITTLE_ENDIAN -DSHORT_SUFFIX -D_CRT_SECURE_NO_DEPRECATE \
         -DGSDL_NOCACHE
-INCLUDES = -I"$(GSDL_DIR)\src\lib" -I"$(COLSERVR_DIR)" -I"$(PROTOCOL_DIR)" -I"$(RECPT_DIR)" \
+INCLUDES = -I"$(COMMON_DIR)\src\lib" -I"$(COLSERVR_DIR)" -I"$(PROTOCOL_DIR)" -I"$(RECPT_DIR)" \
         -I"$(INDEXERS_DIR)\mgpp\text" -I"$(PACKAGES_DIR)\windows\crypt\crypt" \
 	-I"$(PACKAGES_DIR)\windows\expat\expat" -I"$(PACKAGES_DIR)\windows\gdbm\gdbm"
@@ -148,5 +151,5 @@
 	"$(INDEXERS_DIR)\mgpp\text\libmgpptext.lib" \
 	"$(INDEXERS_DIR)\mgpp\lib\libmgpplib.lib" \
-	"$(GSDL_DIR)\src\lib\gsdllib.lib"
+	"$(COMMON_DIR)\src\lib\gsdllib.lib"
 
 EXECUTABLE_OBJECTS = \
Index: /gsdl/trunk/runtime-src/src/protocol/win32.mak
===================================================================
--- /gsdl/trunk/runtime-src/src/protocol/win32.mak	(revision 16573)
+++ /gsdl/trunk/runtime-src/src/protocol/win32.mak	(revision 16574)
@@ -25,8 +25,11 @@
 ###########################################################################
 
-GSDL_DIR = ..\..
-INDEXERS_DIR = $(GSDL_DIR)\indexers
-PACKAGES_DIR = $(GSDL_DIR)\packages
-COLSERVR_DIR = $(GSDL_DIR)\src\colservr
+GSDL_DIR = ..\..\..
+COMMON_DIR = $(GSDL_DIR)\common-src
+RUNTIME_DIR = $(GSDL_DIR)\runtime-src
+
+INDEXERS_DIR = $(COMMON_DIR)\indexers
+PACKAGES_DIR = $(RUNTIME_DIR)\packages
+COLSERVR_DIR = $(RUNTIME_DIR)\src\colservr
 
 
@@ -55,5 +58,5 @@
 DEFS = -D__WIN32__ -DHAVE_CONFIG_H -DPARADOCNUM -D_LITTLE_ENDIAN -DSHORT_SUFFIX -D_CRT_SECURE_NO_DEPRECATE
 # Do NOT add the "recpt" directory here: the protocol should be independent of the receptionist!
-INCLUDES = -I"$(GSDL_DIR)" -I"$(GSDL_DIR)\src\lib" -I"$(COLSERVR_DIR)" -I"$(INDEXERS_DIR)\mgpp\text" \
+INCLUDES = -I"$(GSDL_DIR)" -I"$(COMMON_DIR)\src\lib" -I"$(COLSERVR_DIR)" -I"$(INDEXERS_DIR)\mgpp\text" \
 	 -I"$(PACKAGES_DIR)\windows\gdbm\gdbm"
 
Index: /gsdl/trunk/runtime-src/src/recpt/win32.mak
===================================================================
--- /gsdl/trunk/runtime-src/src/recpt/win32.mak	(revision 16573)
+++ /gsdl/trunk/runtime-src/src/recpt/win32.mak	(revision 16574)
@@ -25,10 +25,13 @@
 ###########################################################################
 
-GSDL_DIR = ..\..
-INDEXERS_DIR = $(GSDL_DIR)\indexers
-PACKAGES_DIR = $(GSDL_DIR)\packages
-COLSERVR_DIR = $(GSDL_DIR)\src\colservr
-PROTOCOL_DIR = $(GSDL_DIR)\src\protocol
-Z3950_DIR = $(GSDL_DIR)\src\z3950
+GSDL_DIR = ..\..\..
+COMMON_DIR = $(GSDL_DIR)\common-src
+RUNTIME_DIR = $(GSDL_DIR)\runtime-src
+
+INDEXERS_DIR = $(COMMON_DIR)\indexers
+PACKAGES_DIR = $(RUNTIME_DIR)\packages
+COLSERVR_DIR = $(RUNTIME_DIR)\src\colservr
+PROTOCOL_DIR = $(RUNTIME_DIR)\src\protocol
+Z3950_DIR    = $(RUNTIME_DIR)\src\z3950
 
 
@@ -83,5 +86,5 @@
 DEFS = -D__WIN32__ -DHAVE_CONFIG_H -DPARADOCNUM -D_LITTLE_ENDIAN -DSHORT_SUFFIX -D_CRT_SECURE_NO_DEPRECATE \
         -DGSDL_NOCACHE $(Z3950_DEFS)
-INCLUDES = -I. -I"$(GSDL_DIR)" -I"$(GSDL_DIR)\src\lib" -I"$(COLSERVR_DIR)" -I"$(PROTOCOL_DIR)" \
+INCLUDES = -I. -I"$(GSDL_DIR)" -I"$(COMMON_DIR)\src\lib" -I"$(COLSERVR_DIR)" -I"$(PROTOCOL_DIR)" \
 	-I"$(INDEXERS_DIR)\mg" -I"$(INDEXERS_DIR)\mg\lib" -I"$(INDEXERS_DIR)\mgpp\text" \
 	-I"$(PACKAGES_DIR)\windows\crypt\crypt" -I"$(PACKAGES_DIR)\windows\expat\expat" \
@@ -209,5 +212,5 @@
 	"$(INDEXERS_DIR)\mgpp\text\libmgpptext.lib" \
 	"$(INDEXERS_DIR)\mgpp\lib\libmgpplib.lib" \
-	"$(GSDL_DIR)\src\lib\gsdllib.lib"
+	"$(COMMON_DIR)\src\lib\gsdllib.lib"
 
 EXECUTABLE_OBJECTS = \
Index: /gsdl/trunk/runtime-src/src/w32server/win32.mak
===================================================================
--- /gsdl/trunk/runtime-src/src/w32server/win32.mak	(revision 16573)
+++ /gsdl/trunk/runtime-src/src/w32server/win32.mak	(revision 16574)
@@ -25,10 +25,13 @@
 ###########################################################################
 
-GSDL_DIR = ..\..
-INDEXERS_DIR = $(GSDL_DIR)\indexers
-PACKAGES_DIR = $(GSDL_DIR)\packages
-COLSERVR_DIR = $(GSDL_DIR)\src\colservr
-PROTOCOL_DIR = $(GSDL_DIR)\src\protocol
-RECPT_DIR = $(GSDL_DIR)\src\recpt
+GSDL_DIR = ..\..\..
+COMMON_DIR = $(GSDL_DIR)\common-src
+RUNTIME_DIR = $(GSDL_DIR)\runtime-src
+
+INDEXERS_DIR = $(COMMON_DIR)\indexers
+PACKAGES_DIR = $(RUNTIME_DIR)\packages
+COLSERVR_DIR = $(RUNTIME_DIR)\src\colservr
+PROTOCOL_DIR = $(RUNTIME_DIR)\protocol
+RECPT_DIR    = $(RUNTIME_DIR)\src\recpt
 
 
@@ -60,9 +63,9 @@
 CC = cl
 DEFS = -D__WIN32__ -DHAVE_CONFIG_H -D_LITTLE_ENDIAN -DPARADOCNUM -DSHORT_SUFFIX -D_CRT_SECURE_NO_DEPRECATE
-INCLUDES = -I"$(GSDL_DIR)" -I"$(GSDL_DIR)\src\lib" -I"$(COLSERVR_DIR)" -I"$(PROTOCOL_DIR)" -I"$(RECPT_DIR)" \
-	-I"$(GSDL_DIR)\src\colservr" -I"$(GSDL_DIR)\indexers\mg" \
+INCLUDES = -I"$(GSDL_DIR)" -I"$(COMMON_DIR)\src\lib" -I"$(COLSERVR_DIR)" -I"$(PROTOCOL_DIR)" -I"$(RECPT_DIR)" \
+	-I"$(COLSERVR_DIR)" -I"$(INDEXERS_DIR)\mg" \
 	-I"$(PACKAGES_DIR)\windows\gdbm\gdbm" \
-        -I"$(GSDL_DIR)\indexers\mg\lib" -I"$(GSDL_DIR)\indexers\mg\src\text" \
-    	-I"$(GSDL_DIR)\indexers\mgpp\lib" -I"$(GSDL_DIR)\indexers\mgpp\text"
+        -I"$(INDEXERS_DIR)\mg\lib" -I"$(INDEXERS_DIR)\mg\src\text" \
+    	-I"$(INDEXERS_DIR)\mgpp\lib" -I"$(INDEXERS_DIR)\mgpp\text"
 LDFLAGS =
 LIBS = "$(PACKAGES_DIR)\windows\crypt\crypt\crypt.lib" "$(PACKAGES_DIR)\windows\expat\expat\libexpat.lib" \
@@ -132,5 +135,5 @@
 	"$(INDEXERS_DIR)\mgpp\text\libmgpptext.lib" \
 	"$(INDEXERS_DIR)\mgpp\lib\libmgpplib.lib" \
-	"$(GSDL_DIR)\src\lib\gsdllib.lib"
+	"$(COMMON_DIR)\src\lib\gsdllib.lib"
 
 EXECUTABLE_OBJECTS = \
@@ -156,19 +159,19 @@
 
 # Resources stuff
-SOURCE = "$(GSDL_DIR)\src\w32server\newgsdl.bmp"
-SOURCE = "$(GSDL_DIR)\src\w32server\resource.h"
-SOURCE = "$(GSDL_DIR)\src\w32server\server.ico"
-SOURCE = "$(GSDL_DIR)\src\w32server\gsdlcol.bmp"
-SOURCE = "$(GSDL_DIR)\src\w32server\server.rc"
+SOURCE = "$(RUNTIME_DIR)\src\w32server\newgsdl.bmp"
+SOURCE = "$(RUNTIME_DIR)\src\w32server\resource.h"
+SOURCE = "$(RUNTIME_DIR)\src\w32server\server.ico"
+SOURCE = "$(RUNTIME_DIR)\src\w32server\gsdlcol.bmp"
+SOURCE = "$(RUNTIME_DIR)\src\w32server\server.rc"
 DEP_RSC_SERVE=\
-	"$(GSDL_DIR)\src\w32server\gsdlcol.bmp"\
-	"$(GSDL_DIR)\src\w32server\newgsdl.bmp"\
-	"$(GSDL_DIR)\src\w32server\server.ico"
+	"$(RUNTIME_DIR)\src\w32server\gsdlcol.bmp"\
+	"$(RUNTIME_DIR)\src\w32server\newgsdl.bmp"\
+	"$(RUNTIME_DIR)\src\w32server\server.ico"
 
-server.res : $(SOURCE) $(DEP_RSC_SERVE) "$(GSDL_DIR)\src\w32server"
-   $(RSC) /l 0x409 /fo"$(GSDL_DIR)\src\w32server\server.res" /i "$(GSDL_DIR)\src\w32server" \
+server.res : $(SOURCE) $(DEP_RSC_SERVE) "$(RUNTIME_DIR)\src\w32server"
+   $(RSC) /l 0x409 /fo"$(RUNTIME_DIR)\src\w32server\server.res" /i "$(RUNTIME_DIR)\src\w32server" \
  /d "NDEBUG" $(SOURCE)
 
-"$(GSDL_DIR)\src\w32server\server.res" : $(SOURCE) $(DEP_RSC_SERVE) "$(GSDL_DIR)\src\w32server"
-   $(RSC) /l 0x409 /fo"$(GSDL_DIR)\src\w32server\server.res" /i "$(GSDL_DIR)\src\w32server" \
+"$(RUNTIME_DIR)\src\w32server\server.res" : $(SOURCE) $(DEP_RSC_SERVE) "$(RUNTIME_DIR)\src\w32server"
+   $(RSC) /l 0x409 /fo"$(RUNTIME_DIR)\src\w32server\server.res" /i "$(RUNTIME_DIR)\src\w32server" \
  /d "NDEBUG" $(SOURCE)
Index: /gsdl/trunk/runtime-src/src/z3950/win32.mak
===================================================================
--- /gsdl/trunk/runtime-src/src/z3950/win32.mak	(revision 16573)
+++ /gsdl/trunk/runtime-src/src/z3950/win32.mak	(revision 16574)
@@ -25,9 +25,12 @@
 ###########################################################################
 
-GSDL_DIR = ..\..
-INDEXERS_DIR = $(GSDL_DIR)\indexers
-PACKAGES_DIR = $(GSDL_DIR)\packages
-COLSERVR_DIR = $(GSDL_DIR)\src\colservr
-PROTOCOL_DIR = $(GSDL_DIR)\src\protocol
+GSDL_DIR = ..\..\..
+COMMON_DIR = $(GSDL_DIR)\common-src
+RUNTIME_DIR = $(GSDL_DIR)\runtime-src
+
+INDEXERS_DIR = $(COMMON_DIR)\indexers
+PACKAGES_DIR = $(RUNTIME_DIR)\packages
+COLSERVR_DIR = $(RUNTIME_DIR)\src\colservr
+PROTOCOL_DIR = $(RUNTIME_DIR)\src\protocol
 
 
@@ -70,5 +73,5 @@
 DEFS = -D__WIN32__ -DHAVE_CONFIG_H -DPARADOCNUM -D_LITTLE_ENDIAN -DSHORT_SUFFIX -D_CRT_SECURE_NO_DEPRECATE
 # Do NOT add the "recpt" directory here: the z39.50 code should be independent of the receptionist!
-INCLUDES = -I"$(GSDL_DIR)" -I"$(GSDL_DIR)\src\lib" -I"$(COLSERVR_DIR)" -I"$(PROTOCOL_DIR)" \
+INCLUDES = -I"$(GSDL_DIR)" -I"$(COMMON_DIR)\src\lib" -I"$(COLSERVR_DIR)" -I"$(PROTOCOL_DIR)" \
 	-I"$(INDEXERS_DIR)\mgpp\text" -I"$(PACKAGES_DIR)\yaz\yaz-2.1.4\include" \
 	-I"$(PACKAGES_DIR)\yaz\yaz-2.1.4\client" -I"$(PACKAGES_DIR)\d2m" \
@@ -136,5 +139,5 @@
 	$(INDEXERS_DIR)\mgpp/text/libmgpptext.lib \
 	$(INDEXERS_DIR)\mgpp/lib/libmgpplib.lib \
-	$(GSDL_DIR)\src\lib\gsdllib.lib
+	$(COMMON_DIR)\src\lib\gsdllib.lib
 
 EXECUTABLE_OBJECTS = \
Index: /gsdl/trunk/win32.mak
===================================================================
--- /gsdl/trunk/win32.mak	(revision 16573)
+++ /gsdl/trunk/win32.mak	(revision 16574)
@@ -35,18 +35,11 @@
 MDEFINES = /f win32.mak
 
-INDEXERSDIR = indexers
+COMPILEDIRS = common-src build-src runtime-src 
 
-COMPILEDIRS = packages\windows\gdbm\gdbm packages\windows\crypt\crypt \
-	    packages\windows\expat\expat src\lib src\colservr src\protocol
+INSTALLDIRS = common-src build-src runtime-src 
 
-INSTALLDIRS = src\hashfile src\gdbmedit\db2txt src\gdbmedit\txt2db src\phind\generate \
-	    src\recpt src\oaiservr 
-
-PACKAGEDIRS = 
-
-SQLITE_DIR = packages\sqlite\sqlite-amalgamation-3.5.9
-YAZ_DIR = packages\yaz\yaz-2.1.4\win
 
 MAKECMD = $(MAKE) $(MDEFINES) GSDLHOME="$(GSDLHOME)"
+
 !IF $(GSDL_VC4)
 MAKECMD = $(MAKECMD) GSDL_VC4=1
@@ -54,5 +47,4 @@
 !IF $(LOCAL_LIBRARY)
 MAKECMD = $(MAKECMD) LOCAL_LIBRARY=1
-INSTALLDIRS = $(INSTALLDIRS) src\w32server
 !ENDIF
 !IF $(DLL)
@@ -64,60 +56,24 @@
 !IF $(USE_SQLITE)
 MAKECMD = $(MAKECMD) USE_SQLITE=1
-PACKAGEDIRS = $(PACKAGEDIRS) $(SQLITE_DIR)
 !ENDIF
 !IF $(USE_Z3950)
 MAKECMD = $(MAKECMD) USE_Z3950=1
-INSTALLDIRS = src\z3950 $(INSTALLDIRS) 
-PACKAGEDIRS = $(PACKAGEDIRS) packages\d2m $(YAZ_DIR)
 !ENDIF
 
 MAKECLEANCMD = $(MAKE) $(MDEFINES) clean
 
-all: win32.mak $(INDEXERSDIR) $(PACKAGEDIRS) $(COMPILEDIRS) $(INSTALLDIRS) 
+all: win32.mak $(COMPILEDIRS) $(INSTALLDIRS) 
 
-install: win32.mak $(INDEXERSDIR) $(INSTALLDIRS)
+install: win32.mak $(INSTALLDIRS)
 
 clean:
-	cd packages\windows\crypt\crypt
+	cd common-src
 	$(MAKECLEANCMD)
 	cd "$(GSDLHOME)"
-	cd packages\windows\gdbm\gdbm
+	cd build-src
 	$(MAKECLEANCMD)
 	cd "$(GSDLHOME)"
-	cd packages\windows\expat\expat
+	cd runtime-src
 	$(MAKECLEANCMD)
-	cd "$(GSDLHOME)"
-	cd src\lib
-	$(MAKECLEANCMD)
-	cd "$(GSDLHOME)"
-	cd src\colservr
-	$(MAKECLEANCMD)
-	cd "$(GSDLHOME)"
-	cd src\protocol
-	$(MAKECLEANCMD)
-	cd "$(GSDLHOME)"
-	cd src\recpt
-	$(MAKECLEANCMD)
-	cd "$(GSDLHOME)"
-	cd src\oaiservr
-	$(MAKECLEANCMD)
-	cd "$(GSDLHOME)"
-	cd src\w32server
-	$(MAKECLEANCMD)
-	cd "$(GSDLHOME)"
-	cd src\phind\generate
-	$(MAKECLEANCMD)
-	cd "$(GSDLHOME)"
-	cd src\hashfile
-	$(MAKECLEANCMD)
-	cd "$(GSDLHOME)"
-	cd src\gdbmedit\txt2db
-	$(MAKECLEANCMD)
-	cd "$(GSDLHOME)"
-	cd src\gdbmedit\db2txt
-	$(MAKECLEANCMD)
-	cd "$(GSDLHOME)"
-	cd indexers
-	call winMake.bat clean
 	cd "$(GSDLHOME)"
 
@@ -133,26 +89,4 @@
 	cd "$(GSDLHOME)"
 
-$(SQLITE_DIR): FORCE
-	cd "$@"
-	$(MAKECMD)
-	$(MAKECMD) install
-	cd "$(GSDLHOME)"
-
-$(YAZ_DIR): FORCE
-	cd "$@"
-	nmake HAVE_ICONV=0 HAVE_LIBXML2=0
-	cd "$(GSDLHOME)"
-
-$(INDEXERSDIR): FORCE
-	cd "$@"
-	call winMake.bat all gs2
-	call winMake.bat install gs2
-	if NOT EXIST "$(GSDLHOME)\bin\windows" mkdir "$(GSDLHOME)\bin\windows"
-	if NOT EXIST "$(GSDLHOME)\bin\java" mkdir "$(GSDLHOME)\bin\java"
-	for %%i in (bin\*.exe) do \
-	  copy %%i "$(GSDLHOME)\bin\windows"
- 	copy lucene-gs\LuceneWrapper.jar "$(GSDLHOME)\bin\java"
-	cd "$(GSDLHOME)"
-
 FORCE:
 