Index: greenstone3/trunk/build.xml
===================================================================
--- greenstone3/trunk/build.xml	(revision 16601)
+++ greenstone3/trunk/build.xml	(revision 16602)
@@ -182,5 +182,5 @@
     <isset property="disable.collection.building"/>
   </condition>
-  <condition property="indexers.home" value="${gs2build.home}/indexers">
+  <condition property="indexers.home" value="${gs2build.home}/common-src/indexers">
     <not>
       <isset property="disable.collection.building"/>
@@ -1248,72 +1248,5 @@
     <svn>
       <!-- perllib -->
-      <update dir="gs2build/perllib" revision="${branch.revision}"/>
-
-			<!-- selected packages -->
-			<update dir="gs2build/packages/cpan" revision="${branch.revision}" />
-			<update dir="gs2build/packages/expat" revision="${branch.revision}" />
-			<update dir="gs2build/packages/html-tidy" revision="${branch.revision}" />
-			<update dir="gs2build/packages/isis-gdl" revision="${branch.revision}" />
-			<update dir="gs2build/packages/kea" revision="${branch.revision}" />
-			<update dir="gs2build/packages/pdftohtml" revision="${branch.revision}" />
-			<update dir="gs2build/packages/rtftohtml" revision="${branch.revision}" />
-			<update dir="gs2build/packages/w3mir" revision="${branch.revision}" />
-			<update dir="gs2build/packages/wget" revision="${branch.revision}" />
-			<update dir="gs2build/packages/windows" revision="${branch.revision}" />
-			<update dir="gs2build/packages/wv" revision="${branch.revision}" />
-			<update dir="gs2build/packages/xlhtml" revision="${branch.revision}" />
-			<update dir="gs2build/packages/yaz" revision="${branch.revision}" />
-			
-			<!-- some of src (db2txt hashfile phind txt2db) -->
-			<update dir="gs2build/src/gdbmedit/db2txt" revision="${branch.revision}" />
-			<update dir="gs2build/src/hashfile" revision="${branch.revision}" />
-			<update dir="gs2build/src/phind" revision="${branch.revision}" />
-			<update dir="gs2build/src/gdbmedit/txt2db" revision="${branch.revision}" />
-
-      <!-- bin -->
-      <update dir="gs2build/bin/script" revision="${branch.revision}" />
-
-      <!-- mappings -->
-      <update dir="gs2build/mappings" revision="${branch.revision}"/>
-
-      <!-- etc/packages -->
-      <update dir="gs2build/etc/packages" revision="${branch.revision}"/>
-      
-      <!-- collect -->
-      <update dir="gs2build/collect/modelcol" revision="${branch.revision}"/>
-
-      <!-- gs2build-extra -->
-      <update dir="gs2build/gs2build-extra" revision="${branch.revision}"/>
-
-      <!-- indexers -->
-      <update dir="gs2build/indexers" revision="${branch.revision}"/>
-
-      <!-- single files -->
-      
-      <!-- some files from lib -->
-      <export srcUrl="${svn.root}/gsdl/${branch.path}/src/lib/text_t.h" destPath="gs2build/src/lib/text_t.h" revision="${branch.revision}"/>
-      <export srcUrl="${svn.root}/gsdl/${branch.path}/src/lib/text_t.cpp" destPath="gs2build/src/lib/text_t.cpp" revision="${branch.revision}"/>
-      <export srcUrl="${svn.root}/gsdl/${branch.path}/src/lib/gsdlconf.h" destPath="gs2build/src/lib/gsdlconf.h" revision="${branch.revision}"/>
-
-      <!-- some files from cgi-bin: necessary for remote GLI server  -->
-      <export srcUrl="${svn.root}/gsdl/${branch.path}/cgi-bin/gliserver.pl" destPath="${web.home}/WEB-INF/cgi/gliserver.pl" revision="${branch.revision}"/>
-      <export srcUrl="${svn.root}/gsdl/${branch.path}/cgi-bin/gsdlCGI.pm" destPath="${web.home}/WEB-INF/cgi/gsdlCGI.pm" revision="${branch.revision}"/>
-
-      <!-- some files from etc -->
-      <export srcUrl="${svn.root}/gsdl/${branch.path}/etc/marctodc.txt" destPath="gs2build/etc/marctodc.txt" revision="${branch.revision}"/>
-      <export srcUrl="${svn.root}/gsdl/${branch.path}/etc/dc2marc-mapping.xml" destPath="gs2build/etc/dc2marc-mapping.xml" revision="${branch.revision}"/>
-      <export srcUrl="${svn.root}/gsdl/${branch.path}/etc/dc2marc.xsl" destPath="gs2build/etc/dc2marc.xsl" revision="${branch.revision}"/>
-      <export srcUrl="${svn.root}/gsdl/${branch.path}/etc/qdc2marc-mapping.xml" destPath="gs2build/etc/qdc2marc-mapping.xml" revision="${branch.revision}"/>
-     
-      <!-- some files from the gsdl root directory -->
-      <export srcUrl="${svn.root}/gsdl/${branch.path}/setup.bash" destPath="gs2build/setup.bash" revision="${branch.revision}"/>
-      <export srcUrl="${svn.root}/gsdl/${branch.path}/config.sub" destPath="gs2build/config.sub" revision="${branch.revision}"/>
-      <export srcUrl="${svn.root}/gsdl/${branch.path}/config.guess" destPath="gs2build/config.guess" revision="${branch.revision}"/>
-      <export srcUrl="${svn.root}/gsdl/${branch.path}/config.h.in" destPath="gs2build/config.h.in" revision="${branch.revision}"/>
-      <export srcUrl="${svn.root}/gsdl/${branch.path}/configtest.pl" destPath="gs2build/configtest.pl" revision="${branch.revision}"/>
-      <export srcUrl="${svn.root}/gsdl/${branch.path}/install-sh" destPath="gs2build/install-sh" revision="${branch.revision}"/>
-      <export srcUrl="${svn.root}/gsdl/${branch.path}/acconfig.h" destPath="gs2build/acconfig.h" revision="${branch.revision}"/>
-      <export srcUrl="${svn.root}/gsdl/${branch.path}/aclocal.m4" destPath="gs2build/aclocal.m4" revision="${branch.revision}"/>
-      <export srcUrl="${svn.root}/gsdl/${branch.path}/win32cfg.h" destPath="gs2build/win32cfg.h" revision="${branch.revision}"/>
+      <update dir="gs2build" revision="${branch.revision}"/>
     </svn>
   </target>
@@ -1337,73 +1270,6 @@
     <svn>
       <!-- perllib -->
-      <checkout url="${svn.root}/gsdl/${branch.path}/perllib" destPath="gs2build/perllib" revision="${branch.revision}"/>
-
-			<!-- selected packages -->
-			<checkout url="${svn.root}/gsdl/${branch.path}/packages/cpan" destPath="gs2build/packages/cpan" revision="${branch.revision}" />
-			<checkout url="${svn.root}/gsdl/${branch.path}/packages/expat" destPath="gs2build/packages/expat" revision="${branch.revision}" />
-			<checkout url="${svn.root}/gsdl/${branch.path}/packages/html-tidy" destPath="gs2build/packages/html-tidy" revision="${branch.revision}" />
-			<checkout url="${svn.root}/gsdl/${branch.path}/packages/isis-gdl" destPath="gs2build/packages/isis-gdl" revision="${branch.revision}" />
-			<checkout url="${svn.root}/gsdl/${branch.path}/packages/kea" destPath="gs2build/packages/kea" revision="${branch.revision}" />
-			<checkout url="${svn.root}/gsdl/${branch.path}/packages/pdftohtml" destPath="gs2build/packages/pdftohtml" revision="${branch.revision}" />
-			<checkout url="${svn.root}/gsdl/${branch.path}/packages/rtftohtml" destPath="gs2build/packages/rtftohtml" revision="${branch.revision}" />
-			<checkout url="${svn.root}/gsdl/${branch.path}/packages/w3mir" destPath="gs2build/packages/w3mir" revision="${branch.revision}" />
-			<checkout url="${svn.root}/gsdl/${branch.path}/packages/wget" destPath="gs2build/packages/wget" revision="${branch.revision}" />
-			<checkout url="${svn.root}/gsdl/${branch.path}/packages/windows" destPath="gs2build/packages/windows" revision="${branch.revision}" />
-			<checkout url="${svn.root}/gsdl/${branch.path}/packages/wv" destPath="gs2build/packages/wv" revision="${branch.revision}" />
-			<checkout url="${svn.root}/gsdl/${branch.path}/packages/xlhtml" destPath="gs2build/packages/xlhtml" revision="${branch.revision}" />
-			<checkout url="${svn.root}/gsdl/${branch.path}/packages/yaz" destPath="gs2build/packages/yaz" revision="${branch.revision}" />
-			
-			<!-- some of src (db2txt hashfile phind txt2db) -->
-			<checkout url="${svn.root}/gsdl/${branch.path}/src/gdbmedit/db2txt" destPath="gs2build/src/gdbmedit/db2txt" revision="${branch.revision}" />
-			<checkout url="${svn.root}/gsdl/${branch.path}/src/hashfile" destPath="gs2build/src/hashfile" revision="${branch.revision}" />
-			<checkout url="${svn.root}/gsdl/${branch.path}/src/phind" destPath="gs2build/src/phind" revision="${branch.revision}" />
-			<checkout url="${svn.root}/gsdl/${branch.path}/src/gdbmedit/txt2db" destPath="gs2build/src/gdbmedit/txt2db" revision="${branch.revision}" />
-
-      <!-- bin -->
-      <checkout url="${svn.root}/gsdl/${branch.path}/bin/script" destPath="gs2build/bin/script" revision="${branch.revision}" />
-
-      <!-- mappings -->
-      <checkout url="${svn.root}/gsdl/${branch.path}/mappings" destPath="gs2build/mappings" revision="${branch.revision}"/>
-
-      <!-- etc/packages -->
-      <checkout url="${svn.root}/gsdl/${branch.path}/etc/packages" destPath="gs2build/etc/packages" revision="${branch.revision}"/>
-      
-      <!-- collect -->
-      <checkout url="${svn.root}/gsdl/${branch.path}/collect/modelcol" destPath="gs2build/collect/modelcol" revision="${branch.revision}"/>
-
-      <!-- gs2build-extra -->
-      <checkout url="${svn.root}/other-projects/trunk/gs2build-extra" destPath="gs2build/gs2build-extra" revision="${branch.revision}"/>
-
-      <!-- indexers -->
-      <checkout url="${svn.root}/indexers/${branch.path}" destPath="gs2build/indexers" revision="${branch.revision}"/>
-
-      <!-- single files -->
-      
-      <!-- some files from lib -->
-      <export srcUrl="${svn.root}/gsdl/${branch.path}/src/lib/text_t.h" destPath="gs2build/src/lib/text_t.h" revision="${branch.revision}"/>
-      <export srcUrl="${svn.root}/gsdl/${branch.path}/src/lib/text_t.cpp" destPath="gs2build/src/lib/text_t.cpp" revision="${branch.revision}"/>
-      <export srcUrl="${svn.root}/gsdl/${branch.path}/src/lib/gsdlconf.h" destPath="gs2build/src/lib/gsdlconf.h" revision="${branch.revision}"/>
-
-      <!-- some files from etc -->
-      <export srcUrl="${svn.root}/gsdl/${branch.path}/etc/marctodc.txt" destPath="gs2build/etc/marctodc.txt" revision="${branch.revision}"/>
-      <export srcUrl="${svn.root}/gsdl/${branch.path}/etc/dc2marc-mapping.xml" destPath="gs2build/etc/dc2marc-mapping.xml" revision="${branch.revision}"/>
-      <export srcUrl="${svn.root}/gsdl/${branch.path}/etc/dc2marc.xsl" destPath="gs2build/etc/dc2marc.xsl" revision="${branch.revision}"/>
-      <export srcUrl="${svn.root}/gsdl/${branch.path}/etc/qdc2marc-mapping.xml" destPath="gs2build/etc/qdc2marc-mapping.xml" revision="${branch.revision}"/>
-
-       <!-- some files from cgi-bin: necessary for remote GLI server  -->
-      <export srcUrl="${svn.root}/gsdl/${branch.path}/cgi-bin/gliserver.pl" destPath="${web.home}/WEB-INF/cgi/gliserver.pl" revision="${branch.revision}"/>
-      <export srcUrl="${svn.root}/gsdl/${branch.path}/cgi-bin/gsdlCGI.pm" destPath="${web.home}/WEB-INF/cgi/gsdlCGI.pm" revision="${branch.revision}"/>
-
-
-      <!-- some files from the gsdl root directory -->
-      <export srcUrl="${svn.root}/gsdl/${branch.path}/setup.bash" destPath="gs2build/setup.bash" revision="${branch.revision}"/>
-      <export srcUrl="${svn.root}/gsdl/${branch.path}/config.sub" destPath="gs2build/config.sub" revision="${branch.revision}"/>
-      <export srcUrl="${svn.root}/gsdl/${branch.path}/config.guess" destPath="gs2build/config.guess" revision="${branch.revision}"/>
-      <export srcUrl="${svn.root}/gsdl/${branch.path}/config.h.in" destPath="gs2build/config.h.in" revision="${branch.revision}"/>
-      <export srcUrl="${svn.root}/gsdl/${branch.path}/configtest.pl" destPath="gs2build/configtest.pl" revision="${branch.revision}"/>
-      <export srcUrl="${svn.root}/gsdl/${branch.path}/install-sh" destPath="gs2build/install-sh" revision="${branch.revision}"/>
-      <export srcUrl="${svn.root}/gsdl/${branch.path}/acconfig.h" destPath="gs2build/acconfig.h" revision="${branch.revision}"/>
-      <export srcUrl="${svn.root}/gsdl/${branch.path}/aclocal.m4" destPath="gs2build/aclocal.m4" revision="${branch.revision}"/>
-      <export srcUrl="${svn.root}/gsdl/${branch.path}/win32cfg.h" destPath="gs2build/win32cfg.h" revision="${branch.revision}"/>
+      <checkout url="${svn.root}/gs2build" destPath="gs2build" revision="${branch.revision}"/>
+
     </svn>
   </target>
@@ -1411,5 +1277,4 @@
   <target name="prepare-gs2build" depends="init" if="collection.building.enabled" unless="gs2build.present">
     <antcall target="checkout-gs2build"/>
-    <antcall target="rename-gs2build-files"/>
     <antcall target="unzip-windows-packages"/>
     <antcall target="checkout-winbin"/>